Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateChatLastMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateChatLastMessage

Enclosing class:
  TdApi

public static final class TdApi.UpdateChatLastMessage extends TdApi.Update
The last message of a chat was changed. If lastMessage is null, then the last message in the chat became unknown. Some new unknown messages might be added to the chat in this case.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`TdApi.Message`
`lastMessage`
The new last message in the chat; may be null.
`TdApi.ChatPosition[]`
`positions`
The new chat positions in the chat lists.

## Constructor Summary

Constructors
Constructor
Description
`UpdateChatLastMessage()`
The last message of a chat was changed.
`UpdateChatLastMessage(long chatId, TdApi.Message lastMessage, TdApi.ChatPosition[] positions)`
The last message of a chat was changed.
`UpdateChatLastMessage(DataInput input)`
The last message of a chat was changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### lastMessage

public TdApi.Message lastMessage
The new last message in the chat; may be null.

### positions

public TdApi.ChatPosition[] positions
The new chat positions in the chat lists.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateChatLastMessage

public UpdateChatLastMessage()
The last message of a chat was changed. If lastMessage is null, then the last message in the chat became unknown. Some new unknown messages might be added to the chat in this case.

### UpdateChatLastMessage

public UpdateChatLastMessage(long chatId, TdApi.Message lastMessage, TdApi.ChatPosition[] positions)
The last message of a chat was changed. If lastMessage is null, then the last message in the chat became unknown. Some new unknown messages might be added to the chat in this case.

Parameters:
  `chatId` - long Chat identifier.
  `lastMessage` - Message The new last message in the chat; may be null.
  `positions` - ChatPosition[] The new chat positions in the chat lists.

### UpdateChatLastMessage

public UpdateChatLastMessage(DataInput input) throws IOException
The last message of a chat was changed. If lastMessage is null, then the last message in the chat became unknown. Some new unknown messages might be added to the chat in this case.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`